<template>
  <div class="biCustomDivAllC"><div class="ui-modal-body" :style="styleData.uiModalBody" @click="btnClick"></div></div>
</template>

<script>
export default {
  props: ['biGift', 'styleData'],
  data() {
    return {};
  },

  created() {
    console.log(this.biGift, 'biGift数据');
    this.styleData.uiModalBody['width'] = this.biGift.imgWidth / 100 + 'rem';
    this.styleData.uiModalBody['height'] = this.biGift.imgHigh / 100 + 'rem';
    this.styleData.uiModalBody['left'] = `calc(50% - ${this.biGift.imgWidth / 100 / 2}rem)`;

    this.styleData.uiModalBody['background-image'] = `url(${this.biGift.showImg})`;
  },

  methods: {
    btnClick() {
      this.$emit('btnClickEmit', {});
    }
  }
};
</script>

<style lang="scss">
.biCustomDivAllC {
}
</style>
